<?php
/*
 * ##################################################################
 * Created on: Jul 28, 2005
 * File name:  directadmin.php
 * ################################################################## This code
 * is a sole property of netenberg.com
 * ##################################################################
 */
function killAccount($da_server, $da_user, $da_password, $usessl, $order_data, & $da, $da_hash)
{
    $result = $da->killacct($da_server, $da_user, $da_password, $usessl, $order_data['dom_user']);
    return $result;
}
function suspendAccount($da_server, $da_user, $da_password, $usessl, $order_data, & $da, $da_hash)
{
	$result = $da->suspend($da_server, $da_user, $da_password, $usessl, $order_data['dom_user']);
    return $result;
} 
function unsuspendAccount($da_server, $da_user, $da_password, $usessl, $order_data, & $da, $da_hash)
{
    $result = $da->unsuspend($da_server, $da_user, $da_password, $usessl, $order_data['dom_user']);
    return $result;
} 
function createAccount($da_server, $da_user, $da_password, $usessl, $package_data, $order_data, & $da, $da_hash)
{
    $da->limits     = $package_data;
    $da->order_data = $order_data;
    $result = $da->createacct($da_server, $da_user, $da_password, $usessl, $order_data['domain_name'], $order_data['dom_user'], $order_data['dom_pass'], $package_data['plan_name']);
    return $result;
}
function listAccounts($da_server, $da_user, $da_password, $usessl, & $da, $da_hash)
{
	$result = $da->listaccts($da_server, $da_user, $da_password, $usessl);    
    return $result;
}
function listPackages($da_server, $da_user, $da_password, $usessl, & $da, $da_hash)
{
    $result = $da->listpkgs($da_server, $da_user, $da_password, $usessl);   
    return $result;
}
function syncPackage($da_server, $da_user, $da_password, $usessl, $package_data, $submit, & $da, $da_hash)
{
    $result = "not supported by directadmin";
    return $result;
}
?>